/* Events Listing */

crm-search-display-table[search-name="Veranstaltungen"] thead tr th {
    background-color: #002776 !important;
    color: white !important;
}

/* Events Listing */

/* Event Detailansicht */

.event-info .event_summary-section {
    display: none;
}

.crm-container.crm-public .crm-section:has(> .label) {
    padding: unset;
}

.event_date_time-section .label,
.event_address-section .label,
.event_fees-section .label {
    margin-block: unset;
    background-color: #002776 !important;
    color: white !important;
    padding-right: 10px;
}

.crm-socialnetwork {
    background-color: #002776 !important;
}

.crm-socialnetwork * {
    color: white !important;
}

.event-info {
    width: 75%;
    justify-self: center;
}

/*

.event-info>.crm-actionlinks-top,
.event-info>.event_summary-section,
.event-info>.event_description-section summary {
    grid-column: 1;
}

.event-info>.event_date_time-section,
.event-info>.event_address-section,
.event-info>.event_fees-section,
.event-info>.crm-actionlinks-bottom,
.event-info>.action-link,
.event-info>.crm-socialnetwork {
    grid-column: 2;
    grid-row: 1 / -1;
    align-self: start;
}  */

/* Event Detailansicht */

@import url('https://fonts.googleapis.com/css2?family=Libre+Franklin:wght@300;400;500;600;700&display=swap');

.crm-public {

    p,
    a,
    div,
    span,
    label,
    strong {
        font-family: 'Libre Franklin', Arial, sans-serif;
    }

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        color: #002776;
        text-align: center;
    }

    #actions li span {
        font-family: 'FontAwesome' !important;
    }

    .btn-info,
    .button,
    button,
    .header-dark {
        background-color: #002776 !important;
        color: white !important;
    }

    img {
        border-radius: 20px;
    }

    table {
        border: 1px solid #002776 !important;
    }

}

/* Öffentliche Seiten Allgemein */

.crm-container.crm-public #crm-main-content-wrapper {
    width: 95%;

    label,
    p,
    button {
        font-family: "Libre Franklin", Arial, sans-serif !important;
        font-weight: 400 !important;
    }
}

/* Öffentliche Seiten Allgemein */

/* Checkbox Design FormBuilder */

.crm-container label {
    padding: 10px 0px;
}

#afGuiEditor af-gui-edit-options.af-gui-content-editing-area ul[ui-sortable] li {
    padding: 50px 10px;
}

.crm-public .crm-container input[type="checkbox"]+label[for] {
    padding: 10px 5px;
}

.crm-container ul.crm-checkbox-list {
    width: auto;
    height: auto;
}

.crm-container img {
    max-inline-size: unset;
}

.crm-container p {
    justify-self: center;
}

/* Checkbox Design FormBuilder */

/* Form Plakatwettbewerb */

.afform-directive legend {
    float: inline-end !important;
}

/* Form Plakatwettbewerb */

.crm-public-footer,
.crm-actionlinks-top {
    display: none !important;
}

/* .crm-standalone-frontend .crm-page-title {
    display: none !important;
} */

[ng-form="afformNewsletterAnmeldung"],
[ng-form="afformPresseanfragen"],
[ng-form="afformKontaktformular"],
[ng-form="afformPlakatwettbewerb"] {

    h1 span {
        font-size: 20pt;
    }

    label {
        font-size: 1rem !important;
    }

    p {
        font-size: 1.25rem;
        word-wrap: break-word;
        color: #666666 !important;
    }

    input,
    .select2-choice,
    .select2-choices {
        margin-top: 10px;
        border-radius: 15px !important;
        background-color: #F5F9FB !important;
        border: 1px solid black;
    }

    .select2-choices {
        padding: 7.5px !important;
        min-width: 300px;
    }

    .select2-container-multi .select2-choices .select2-search-choice {
        line-height: 1.2;
        margin-left: 10px;
    }

    .select2-container input:focus {
        border: 0px solid #C2DBFE !important;
    }

    input:focus {
        border: 5px solid #C2DBFE !important;
    }

    button {
        background-color: #002776 !important;
        color: white !important;
        font-weight: 600 !important;
        border-radius: 10px !important;
        padding: 20px 15px !important;
        font-size: 14pt !important;
    }

    button i,
    .crm-page-title {
        display: none !important;
    }

    .af-field-type-hidden {
        display: none !important;
    }

    .af-layout-cols {
        padding: 0px !important;
    }

    .af-markup {
        margin: 20px 0px;
    }

    .af-markup p {
        font-size: 11pt;
    }

    .crm-af-field-help-post,
    .crm-af-field-help-pre {
        font-size: 10pt;
        padding-top: 10px;
    }

    .af-title {
        background: #C2DBFE;
    }

    .af-title,
    fieldset {
        padding: 10px !important;
    }

    [af-fieldset="GroupSubscription1"] .af-field-type-check-box {
        flex-direction: row-reverse;

        input[type="checkbox"] {
            margin-right: 10px;
        }
    }

    .crm-checkbox-list li:nth-child(1),
    .crm-checkbox-list li:nth-child(3) {
        background: #C2DBFE;
    }

    .crm-checkbox-list li:nth-child(2),
    .crm-checkbox-list li:nth-child(4) {
        background: #009DE0 !important;
    }

    .af-field-type-check-box {
        display: flex !important;
        flex-direction: column;
        justify-content: flex-end;
        align-items: baseline;
    }
}

/* FIX */

.crm-container table td:has(.btn-slide),
.crm-container table:not(.crm-info-panel) td:not(.crm-case-date):has(.action-item) {
    text-align: unset;
}

/* FIX für LINE ITEMS OPTIK */

.crm-contribution-form-block-total_amount #totalAmount {
    display: none !important
}

#add-items {
    background: #2E562E !important;
    color: white;
}

#totalAmountORaddLineitem {
    font-size: 0;
}

#totalAmountORaddLineitem a {
    font-size: 14pt;
    font-weight: 600;
    vertical-align: middle;
}

/* FIX für LINE ITEMS OPTIK */

/* FIX */

@media only screen and (max-width: 800px) {

    form {
        width: 300px !important;
    }

}